Bug 246770 - databases/redis: Update to 6.0.9
Summary: databases/redis: Update to 6.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-27 09:10 UTC by Yasuhiro Kimura
Modified: 2021-01-13 17:40 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
Patch file (27.73 KB, patch)
2020-05-27 09:10 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (28.10 KB, patch)
2020-06-10 20:31 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (28.03 KB, patch)
2020-07-20 08:04 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (28.03 KB, patch)
2020-07-20 20:33 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (28.11 KB, patch)
2020-08-13 10:16 UTC, Yasuhiro Kimura
no flags Details | Diff
Patch file (28.11 KB, patch)
2020-09-01 22:17 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (28.11 KB, patch)
2020-09-10 16:05 UTC, Yasuhiro Kimura
no flags Details | Diff
Patch file (28.10 KB, patch)
2020-10-27 08:45 UTC, Yasuhiro Kimura
no flags Details | Diff
Patch file (28.14 KB, patch)
2020-12-04 08:29 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-05-27 09:10:32 UTC
Created attachment 214904 [details]
Patch file

* Now that redis 6.0 is new stable, update databases/redis to 6.0.3.
* Copy databases/redis to databases/redis5.
* Adjust CONFLICTS of databases/{redis4,redis5,redis,redis-devel}.
* Add entry to UPDATING.
* I'm not sure if devel/redis4 should be marked DEPRECATED and EXIPERATION_DATE should be set. So I would like to leave the decision to maintainer.
    
Please take following steps when applying attached patch.
    
1. cd /usr/ports
2. svn copy databases/redis databases/redis5
3. svn patch /path/to/attached/patch
Comment 1 Sergey A. Osokin freebsd_committer 2020-05-27 17:12:17 UTC
Hi Yasuhiro,

thanks for the patch.

I've recently raised a https://reviews.freebsd.org/D24675 ticket for review with my thoughts and those are look exactly the same.

Will see how it goes.
Comment 2 Yasuhiro Kimura 2020-05-27 18:34:56 UTC
(In reply to Sergey A. Osokin from comment #1)

Hello Sergey,

I checked your review and have one comment.

Currently CONFLICTS line is specified such as following.

CONFLICTS?=	redis4-4.* redis5-5.* redis-devel-6.*

But it can be simplified as following.

CONFLICTS?=	redis4 redis5 redis-devel
Comment 3 Yasuhiro Kimura 2020-06-10 20:31:06 UTC
Created attachment 215429 [details]
Updated patch file

New version 6.0.4 is released.
Comment 4 Yasuhiro Kimura 2020-07-20 08:04:58 UTC
Created attachment 216598 [details]
Updated patch file

Newer version 6.0.5 is released.
Comment 5 Yasuhiro Kimura 2020-07-20 20:33:16 UTC
Created attachment 216610 [details]
Updated patch file

Newer version 6.0.6 is released.
Comment 6 Yasuhiro Kimura 2020-08-13 10:16:25 UTC
Created attachment 217189 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 7 Yasuhiro Kimura 2020-09-01 22:17:25 UTC
Created attachment 217698 [details]
Patch file

Newer version 6.0.7 is released.
Comment 8 Yasuhiro Kimura 2020-09-10 16:05:32 UTC
Created attachment 217873 [details]
Updated patch file

Newer version 6.0.8 is released.
Comment 9 Yasuhiro Kimura 2020-10-27 08:45:35 UTC
Created attachment 219139 [details]
Patch file

New version 6.0.9 is released.
Comment 10 Sergey A. Osokin freebsd_committer 2020-10-29 01:45:33 UTC
(In reply to Yasuhiro KIMURA from comment #9)

Hi Kimura-san,

hope you're doing well these days.

The patch you've provided looks good, but it's incomplete.  The following files need to be patched, i.e. PORTREVISION needs to be bumped to reflect their dependencies on a new version of redis:

/usr/ports/devel/py-django-rq/Makefile
/usr/ports/devel/gitblit/Makefile
/usr/ports/databases/rubygem-hiredis/Makefile
/usr/ports/databases/py-redis/Makefile
/usr/ports/databases/py-redis2/Makefile
/usr/ports/databases/p5-Redis-Fast/Makefile
/usr/ports/databases/py-txredisapi/Makefile
/usr/ports/databases/redisdesktopmanager/Makefile
/usr/ports/databases/p5-AnyEvent-Redis/Makefile
/usr/ports/databases/redis_exporter/Makefile
/usr/ports/security/openvas8-scanner/Makefile
/usr/ports/security/py-plaso/Makefile
/usr/ports/irc/anope/Makefile
/usr/ports/net-im/rubygem-lita/Makefile
/usr/ports/net-mgmt/resource-agents/Makefile
/usr/ports/www/gitlab-ce/Makefile

Please let me know if you have any questions.

Thanks.
Comment 11 Yasuhiro Kimura 2020-12-04 08:29:59 UTC
Created attachment 220240 [details]
Patch file

Update patch to make it fit to latest ports tree.
Comment 12 Yasuhiro Kimura 2020-12-04 08:46:48 UTC
(In reply to Sergey A. Osokin from comment #10)

Hi Sergey,

This port doesn't include header files, libraries, etc. that is required to build dependent ports. So rebuilding them doesn't change anything even if this port is update to 6.0. It may be possible that some of them don't work well with 6.0. But if so rebuilding them doesn't solve the problem. And finally, poudriere always rebuild dependent ports when any port is updated. And tools such as portmaster and portupgrade automatically adjust dependency between installed packages when some of them are updated. So as a result PORTVERSION of dependent ports need not to be bumped in this case.
Comment 13 Sergey A. Osokin freebsd_committer 2021-01-13 17:40:23 UTC
The databases/redis port has been updated to the recent stable version, 6.0.10.